| Home | Libraries | People | FAQ | More

## Struct template impl

boost::proto::_env_var::impl

## Synopsis

    // In header: <boost/proto/transform/env.hpp>

    struct impl :  proto::transform_impl<Expr, State, Data> > {
      // types
      typedef typename proto::result_of::env_var<Data, Key>::type result_type;

      // public member functions
      result_type operator()(typename impl::expr_param,
                             typename impl::state_param,
                             typename impl::data_param) const;
    };

## Description

### `impl` public member functions

1.     result_type operator()(typename impl::expr_param, typename impl::state_param,
                              typename impl::data_param data) const;

   Fetches the value associated with `Key` from the transform environment passed in the data (third) parameter.

   Parameters:

   `data` | The current transform environment

   Requires: | `proto::is_env<Data>::value` is `true`.
   Returns: | `proto::env_var(data)`